Bug 1889806

Summary: CVE-2020-24265 tcpreplay: heap buffer overflow could result in a crash [fedora-all]
Product: [Fedora] Fedora Reporter: Michael Kaplan <mkaplan>
Component: tcpreplayAssignee: Bojan Smojver <bojan>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 32CC: bojan
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: tcpreplay-4.3.3-3.fc33 tcpreplay-4.3.3-3.fc32 tcpreplay-4.3.3-3.fc31 tcpreplay-4.3.3-3.el8 tcpreplay-4.3.3-3.el7 tcpreplay-4.3.3-3.el6 Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-10-29 01:05:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1889805    

Description Michael Kaplan 2020-10-20 15:49:06 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Michael Kaplan 2020-10-20 15:49:08 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1889805,1889806

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-10-21 02:50:31 UTC
FEDORA-2020-e45cf8ea43 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e45cf8ea43

Comment 3 Fedora Update System 2020-10-21 02:50:32 UTC
FEDORA-2020-c50d8b980b has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c50d8b980b

Comment 4 Fedora Update System 2020-10-21 02:50:33 UTC
FEDORA-EPEL-2020-e6c7b4cbec has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e6c7b4cbec

Comment 5 Fedora Update System 2020-10-21 02:50:41 UTC
FEDORA-2020-0e036c907e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0e036c907e

Comment 6 Fedora Update System 2020-10-21 02:50:48 UTC
FEDORA-EPEL-2020-6ef54b7a2d has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6ef54b7a2d

Comment 7 Fedora Update System 2020-10-21 21:32:26 UTC
FEDORA-2020-c50d8b980b has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c50d8b980b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c50d8b980b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-29 01:05:40 UTC
FEDORA-2020-c50d8b980b has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-10-29 01:12:41 UTC
FEDORA-2020-0e036c907e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-10-29 01:12:45 UTC
FEDORA-2020-e45cf8ea43 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-11-05 00:31:03 UTC
FEDORA-EPEL-2020-6ef54b7a2d has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-11-05 01:01:29 UTC
FEDORA-EPEL-2020-e6c7b4cbec has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-11-05 01:18:22 UTC
FEDORA-EPEL-2020-b21ed088ad has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.